Index: trunk/SophyaLib/SkyT/blackbody.cc
===================================================================
--- trunk/SophyaLib/SkyT/blackbody.cc	(revision 2614)
+++ trunk/SophyaLib/SkyT/blackbody.cc	(revision 2615)
@@ -1,5 +1,5 @@
 //--------------------------------------------------------------------------
 // File and Version Information:
-//      $Id: blackbody.cc,v 1.8 2003-02-11 15:31:06 cmv Exp $
+//      $Id: blackbody.cc,v 1.9 2004-09-10 09:54:39 cmv Exp $
 //
 // Description:
@@ -15,4 +15,5 @@
 // C++ Headers --
 //---------------
+#include "sopnamsp.h"
 #include "machdefs.h"
 #include <iostream>
Index: trunk/SophyaLib/SkyT/convtools.cc
===================================================================
--- trunk/SophyaLib/SkyT/convtools.cc	(revision 2614)
+++ trunk/SophyaLib/SkyT/convtools.cc	(revision 2615)
@@ -1,5 +1,5 @@
 //--------------------------------------------------------------------------
 // File and Version Information:
-//      $Id: convtools.cc,v 1.3 2000-04-14 07:28:12 ansari Exp $
+//      $Id: convtools.cc,v 1.4 2004-09-10 09:54:39 cmv Exp $
 //
 // Description:
@@ -10,4 +10,5 @@
 //------------------------------------------------------------------------
 
+#include "sopnamsp.h"
 #include "convtools.h"
 
Index: trunk/SophyaLib/SkyT/derivblackbody.cc
===================================================================
--- trunk/SophyaLib/SkyT/derivblackbody.cc	(revision 2614)
+++ trunk/SophyaLib/SkyT/derivblackbody.cc	(revision 2615)
@@ -1,5 +1,5 @@
 //--------------------------------------------------------------------------
 // File and Version Information:
-//      $Id: derivblackbody.cc,v 1.6 2003-02-11 15:31:07 cmv Exp $
+//      $Id: derivblackbody.cc,v 1.7 2004-09-10 09:54:40 cmv Exp $
 //
 // Description:
@@ -15,4 +15,5 @@
 // C++ Headers --
 //---------------
+#include "sopnamsp.h"
 #include "machdefs.h"
 #include <iostream>
Index: trunk/SophyaLib/SkyT/gaussfilt.cc
===================================================================
--- trunk/SophyaLib/SkyT/gaussfilt.cc	(revision 2614)
+++ trunk/SophyaLib/SkyT/gaussfilt.cc	(revision 2615)
@@ -1,5 +1,5 @@
 //--------------------------------------------------------------------------
 // File and Version Information:
-//      $Id: gaussfilt.cc,v 1.8 2003-03-10 15:13:49 ansari Exp $
+//      $Id: gaussfilt.cc,v 1.9 2004-09-10 09:54:40 cmv Exp $
 //
 // Description:
@@ -13,4 +13,5 @@
 // C++ Headers --
 //---------------
+#include "sopnamsp.h"
 #include "machdefs.h"
 #include <iostream>
Index: trunk/SophyaLib/SkyT/nupower.cc
===================================================================
--- trunk/SophyaLib/SkyT/nupower.cc	(revision 2614)
+++ trunk/SophyaLib/SkyT/nupower.cc	(revision 2615)
@@ -1,5 +1,5 @@
 //--------------------------------------------------------------------------
 // File and Version Information:
-//      $Id: nupower.cc,v 1.8 2003-02-11 15:31:07 cmv Exp $
+//      $Id: nupower.cc,v 1.9 2004-09-10 09:54:40 cmv Exp $
 //
 // Description:
@@ -15,4 +15,5 @@
 // C++ Headers --
 //---------------
+#include "sopnamsp.h"
 #include "machdefs.h"
 #include <iostream>
Index: trunk/SophyaLib/SkyT/radspec.cc
===================================================================
--- trunk/SophyaLib/SkyT/radspec.cc	(revision 2614)
+++ trunk/SophyaLib/SkyT/radspec.cc	(revision 2615)
@@ -1,5 +1,5 @@
 //--------------------------------------------------------------------------
 // File and Version Information:
-//      $Id: radspec.cc,v 1.7 2003-02-11 15:31:07 cmv Exp $
+//      $Id: radspec.cc,v 1.8 2004-09-10 09:54:40 cmv Exp $
 //
 // Description:
@@ -15,4 +15,5 @@
 // C++ Headers --
 //---------------
+#include "sopnamsp.h"
 #include "machdefs.h"
 #include <iostream>
Index: trunk/SophyaLib/SkyT/radspecvector.cc
===================================================================
--- trunk/SophyaLib/SkyT/radspecvector.cc	(revision 2614)
+++ trunk/SophyaLib/SkyT/radspecvector.cc	(revision 2615)
@@ -1,5 +1,5 @@
 //--------------------------------------------------------------------------
 // File and Version Information:
-//      $Id: radspecvector.cc,v 1.8 2003-02-11 15:31:07 cmv Exp $
+//      $Id: radspecvector.cc,v 1.9 2004-09-10 09:54:40 cmv Exp $
 //
 // Description:
@@ -15,4 +15,5 @@
 // C++ Headers --
 //---------------
+#include "sopnamsp.h"
 #include "machdefs.h"
 #include <iostream>
Index: trunk/SophyaLib/SkyT/skyinit.cc
===================================================================
--- trunk/SophyaLib/SkyT/skyinit.cc	(revision 2614)
+++ trunk/SophyaLib/SkyT/skyinit.cc	(revision 2615)
@@ -2,4 +2,5 @@
 #include <unistd.h>
 
+#include "sopnamsp.h"
 #include "skyinit.h"
 #include "ppersist.h"
Index: trunk/SophyaLib/SkyT/specresp.cc
===================================================================
--- trunk/SophyaLib/SkyT/specresp.cc	(revision 2614)
+++ trunk/SophyaLib/SkyT/specresp.cc	(revision 2615)
@@ -1,5 +1,5 @@
 //--------------------------------------------------------------------------
 // File and Version Information:
-//      $Id: specresp.cc,v 1.6 2002-07-31 10:25:34 ansari Exp $
+//      $Id: specresp.cc,v 1.7 2004-09-10 09:54:40 cmv Exp $
 //
 // Description:
@@ -17,4 +17,5 @@
 #include <typeinfo>
 #include <math.h>
+#include "sopnamsp.h"
 #include "specresp.h"
 #include "integ.h"
Index: trunk/SophyaLib/SkyT/specrespvector.cc
===================================================================
--- trunk/SophyaLib/SkyT/specrespvector.cc	(revision 2614)
+++ trunk/SophyaLib/SkyT/specrespvector.cc	(revision 2615)
@@ -1,5 +1,5 @@
 //--------------------------------------------------------------------------
 // File and Version Information:
-//      $Id: specrespvector.cc,v 1.10 2003-03-10 15:13:49 ansari Exp $
+//      $Id: specrespvector.cc,v 1.11 2004-09-10 09:54:40 cmv Exp $
 //
 // Description:
@@ -15,4 +15,5 @@
 // C++ Headers --
 //---------------
+#include "sopnamsp.h"
 #include "machdefs.h"
 #include <iostream>
Index: trunk/SophyaLib/SkyT/squarefilt.cc
===================================================================
--- trunk/SophyaLib/SkyT/squarefilt.cc	(revision 2614)
+++ trunk/SophyaLib/SkyT/squarefilt.cc	(revision 2615)
@@ -1,5 +1,5 @@
 //--------------------------------------------------------------------------
 // File and Version Information:
-//      $Id: squarefilt.cc,v 1.7 2003-02-11 15:31:07 cmv Exp $
+//      $Id: squarefilt.cc,v 1.8 2004-09-10 09:54:40 cmv Exp $
 //
 // Description:
@@ -13,4 +13,5 @@
 // C++ Headers --
 //---------------
+#include "sopnamsp.h"
 #include "machdefs.h"
 #include <iostream>
Index: trunk/SophyaLib/SkyT/trianglefilt.cc
===================================================================
--- trunk/SophyaLib/SkyT/trianglefilt.cc	(revision 2614)
+++ trunk/SophyaLib/SkyT/trianglefilt.cc	(revision 2615)
@@ -1,5 +1,5 @@
 //--------------------------------------------------------------------------
 // File and Version Information:
-//      $Id: trianglefilt.cc,v 1.7 2003-02-11 15:31:07 cmv Exp $
+//      $Id: trianglefilt.cc,v 1.8 2004-09-10 09:54:40 cmv Exp $
 //
 // Description:
@@ -13,4 +13,5 @@
 // C++ Headers --
 //---------------
+#include "sopnamsp.h"
 #include "machdefs.h"
 #include <iostream>
Index: trunk/SophyaLib/SysTools/cexpre.cc
===================================================================
--- trunk/SophyaLib/SysTools/cexpre.cc	(revision 2614)
+++ trunk/SophyaLib/SysTools/cexpre.cc	(revision 2615)
@@ -3,4 +3,5 @@
 #include <ctype.h>
 #include <string.h>
+#include "sopnamsp.h"
 #include "cexpre.h"
 #include <stack>
Index: trunk/SophyaLib/SysTools/commander.cc
===================================================================
--- trunk/SophyaLib/SysTools/commander.cc	(revision 2614)
+++ trunk/SophyaLib/SysTools/commander.cc	(revision 2615)
@@ -1,2 +1,3 @@
+#include "sopnamsp.h"
 #include "commander.h"
 #include <stdio.h>
Index: trunk/SophyaLib/SysTools/ctimer.cc
===================================================================
--- trunk/SophyaLib/SysTools/ctimer.cc	(revision 2614)
+++ trunk/SophyaLib/SysTools/ctimer.cc	(revision 2615)
@@ -1,6 +1,7 @@
 //
-// $Id: ctimer.cc,v 1.5 2004-08-11 13:10:25 ansari Exp $
+// $Id: ctimer.cc,v 1.6 2004-09-10 09:54:57 cmv Exp $
 //
 
+#include "sopnamsp.h"
 #include "machdefs.h"
 #include "ctimer.h"
Index: trunk/SophyaLib/SysTools/cxxcmplnk.cc
===================================================================
--- trunk/SophyaLib/SysTools/cxxcmplnk.cc	(revision 2614)
+++ trunk/SophyaLib/SysTools/cxxcmplnk.cc	(revision 2615)
@@ -2,4 +2,5 @@
 // LAL (Orsay) / IN2P3-CNRS  DAPNIA/SPP (Saclay) / CEA
 
+#include "sopnamsp.h"
 #include "cxxcmplnk.h"
 #include <iostream>
Index: trunk/SophyaLib/SysTools/pdlmgr.cc
===================================================================
--- trunk/SophyaLib/SysTools/pdlmgr.cc	(revision 2614)
+++ trunk/SophyaLib/SysTools/pdlmgr.cc	(revision 2615)
@@ -5,4 +5,5 @@
 #include <machdefs.h>
 
+#include "sopnamsp.h"
 #include "pdlmgr.h"
 #include <stdio.h>
Index: trunk/SophyaLib/SysTools/periodic.cc
===================================================================
--- trunk/SophyaLib/SysTools/periodic.cc	(revision 2614)
+++ trunk/SophyaLib/SysTools/periodic.cc	(revision 2615)
@@ -4,4 +4,5 @@
 /*                      LAL/IN2P3 (Orsay)  DAPNIA/CEA (Saclay)            */
 
+#include "sopnamsp.h"
 #include "machdefs.h"
 #include <signal.h>
Index: trunk/SophyaLib/SysTools/psighand.cc
===================================================================
--- trunk/SophyaLib/SysTools/psighand.cc	(revision 2614)
+++ trunk/SophyaLib/SysTools/psighand.cc	(revision 2615)
@@ -4,4 +4,5 @@
 #include <string.h>
 #include <signal.h>
+#include "sopnamsp.h"
 #include "psighand.h"
 #include "pexceptions.h"
Index: trunk/SophyaLib/SysTools/resusage.cc
===================================================================
--- trunk/SophyaLib/SysTools/resusage.cc	(revision 2614)
+++ trunk/SophyaLib/SysTools/resusage.cc	(revision 2615)
@@ -1,2 +1,3 @@
+#include "sopnamsp.h"
 #include "resusage.h"
 
Index: trunk/SophyaLib/SysTools/rpneval.cc
===================================================================
--- trunk/SophyaLib/SysTools/rpneval.cc	(revision 2614)
+++ trunk/SophyaLib/SysTools/rpneval.cc	(revision 2615)
@@ -1,2 +1,3 @@
+#include "sopnamsp.h"
 #include "rpneval.h"
 #include <stdlib.h>
Index: trunk/SophyaLib/SysTools/zthread.cc
===================================================================
--- trunk/SophyaLib/SysTools/zthread.cc	(revision 2614)
+++ trunk/SophyaLib/SysTools/zthread.cc	(revision 2615)
@@ -2,4 +2,5 @@
 // LAL (Orsay) / IN2P3-CNRS  DAPNIA/SPP (Saclay) / CEA
 
+#include "sopnamsp.h"
 #include "zthread.h"
 #include <stdlib.h>
Index: trunk/SophyaLib/TArray/basarr.cc
===================================================================
--- trunk/SophyaLib/TArray/basarr.cc	(revision 2614)
+++ trunk/SophyaLib/TArray/basarr.cc	(revision 2615)
@@ -2,4 +2,5 @@
 //                     R. Ansari, C.Magneville   03/2000
 
+#include "sopnamsp.h"
 #include "machdefs.h"
 #include <stdio.h>
Index: trunk/SophyaLib/TArray/fioarr.cc
===================================================================
--- trunk/SophyaLib/TArray/fioarr.cc	(revision 2614)
+++ trunk/SophyaLib/TArray/fioarr.cc	(revision 2615)
@@ -2,4 +2,5 @@
 //               R. Ansari, C.Magneville   03/2000
 
+#include "sopnamsp.h"
 #include "pexceptions.h"
 #include "fiondblock.h"
Index: trunk/SophyaLib/TArray/matharr.cc
===================================================================
--- trunk/SophyaLib/TArray/matharr.cc	(revision 2614)
+++ trunk/SophyaLib/TArray/matharr.cc	(revision 2615)
@@ -2,4 +2,5 @@
 //                     R. Ansari, C.Magneville   03/2000
 
+#include "sopnamsp.h"
 #include "machdefs.h"
 #include <math.h>
Index: trunk/SophyaLib/TArray/sopemtx.cc
===================================================================
--- trunk/SophyaLib/TArray/sopemtx.cc	(revision 2614)
+++ trunk/SophyaLib/TArray/sopemtx.cc	(revision 2615)
@@ -1,4 +1,5 @@
 //                         C.Magneville, R.Ansari        03/2000
 
+#include "sopnamsp.h"
 #include "machdefs.h"
 #include <stdio.h>
Index: trunk/SophyaLib/TArray/tarray.cc
===================================================================
--- trunk/SophyaLib/TArray/tarray.cc	(revision 2614)
+++ trunk/SophyaLib/TArray/tarray.cc	(revision 2615)
@@ -2,4 +2,5 @@
 //                     R. Ansari, C.Magneville   03/2000
 
+#include "sopnamsp.h"
 #include "machdefs.h"
 #include <stdio.h>
Index: trunk/SophyaLib/TArray/tarrinit.cc
===================================================================
--- trunk/SophyaLib/TArray/tarrinit.cc	(revision 2614)
+++ trunk/SophyaLib/TArray/tarrinit.cc	(revision 2615)
@@ -1,3 +1,4 @@
 // Classe d'initialisation du module TArray (template Arrays)
+#include "sopnamsp.h"
 #include "machdefs.h"
 #include "tarrinit.h"
Index: trunk/SophyaLib/TArray/tmatrix.cc
===================================================================
--- trunk/SophyaLib/TArray/tmatrix.cc	(revision 2614)
+++ trunk/SophyaLib/TArray/tmatrix.cc	(revision 2615)
@@ -1,4 +1,5 @@
-// $Id: tmatrix.cc,v 1.28 2004-07-30 13:11:51 cmv Exp $
+// $Id: tmatrix.cc,v 1.29 2004-09-10 09:55:07 cmv Exp $
 //                         C.Magneville          04/99
+#include "sopnamsp.h"
 #include "machdefs.h"
 #include <stdio.h>
Index: trunk/SophyaLib/TArray/toeplitzMatrix.cc
===================================================================
--- trunk/SophyaLib/TArray/toeplitzMatrix.cc	(revision 2614)
+++ trunk/SophyaLib/TArray/toeplitzMatrix.cc	(revision 2615)
@@ -1,3 +1,4 @@
 
+#include "sopnamsp.h"
 #include "toeplitzMatrix.h"
 #include "timing.h"   
Index: trunk/SophyaLib/TArray/tvector.cc
===================================================================
--- trunk/SophyaLib/TArray/tvector.cc	(revision 2614)
+++ trunk/SophyaLib/TArray/tvector.cc	(revision 2615)
@@ -1,4 +1,5 @@
-// $Id: tvector.cc,v 1.16 2004-07-29 12:31:16 ansari Exp $
+// $Id: tvector.cc,v 1.17 2004-09-10 09:55:07 cmv Exp $
 //                         C.Magneville          04/99
+#include "sopnamsp.h"
 #include "machdefs.h"
 #include <stdlib.h>
Index: trunk/SophyaLib/TArray/utilarr.cc
===================================================================
--- trunk/SophyaLib/TArray/utilarr.cc	(revision 2614)
+++ trunk/SophyaLib/TArray/utilarr.cc	(revision 2615)
@@ -2,4 +2,5 @@
 //                     R. Ansari, C.Magneville   03/2000
 
+#include "sopnamsp.h"
 #include "machdefs.h"
 #include "utilarr.h"
Index: trunk/SophyaPI/DemoPIApp/exmoddrw.cc
===================================================================
--- trunk/SophyaPI/DemoPIApp/exmoddrw.cc	(revision 2614)
+++ trunk/SophyaPI/DemoPIApp/exmoddrw.cc	(revision 2615)
@@ -1,2 +1,3 @@
+#include "sopnamsp.h"
 #include "machdefs.h"
 #include <stdio.h>
Index: trunk/SophyaPI/DemoPIApp/exmodule.cc
===================================================================
--- trunk/SophyaPI/DemoPIApp/exmodule.cc	(revision 2614)
+++ trunk/SophyaPI/DemoPIApp/exmodule.cc	(revision 2615)
@@ -1,2 +1,3 @@
+#include "sopnamsp.h"
 #include "machdefs.h"
 #include <stdio.h>
Index: trunk/SophyaPI/DemoPIApp/user.cc
===================================================================
--- trunk/SophyaPI/DemoPIApp/user.cc	(revision 2614)
+++ trunk/SophyaPI/DemoPIApp/user.cc	(revision 2615)
@@ -5,4 +5,5 @@
 #include <string>
 
+#include "sopnamsp.h"
 #include "nobjmgr.h"
 
Index: trunk/SophyaPI/PI/Tests/midasitt.cc
===================================================================
--- trunk/SophyaPI/PI/Tests/midasitt.cc	(revision 2614)
+++ trunk/SophyaPI/PI/Tests/midasitt.cc	(revision 2615)
@@ -6,4 +6,5 @@
 #include <iostream.h>
 
+#include "sopnamsp.h"
 #include "pisysdep.h"
 
Index: trunk/SophyaPI/PI/Tests/pilinetst.cc
===================================================================
--- trunk/SophyaPI/PI/Tests/pilinetst.cc	(revision 2614)
+++ trunk/SophyaPI/PI/Tests/pilinetst.cc	(revision 2615)
@@ -6,4 +6,5 @@
 #include <iostream.h>
 
+#include "sopnamsp.h"
 #include "pisysdep.h"
 #include PIAPP_H
Index: trunk/SophyaPI/PI/Tests/pist.cc
===================================================================
--- trunk/SophyaPI/PI/Tests/pist.cc	(revision 2614)
+++ trunk/SophyaPI/PI/Tests/pist.cc	(revision 2615)
@@ -5,4 +5,5 @@
 #include <iostream.h>
 
+#include "sopnamsp.h"
 #include "pisysdep.h"
 #include PIAPP_H
Index: trunk/SophyaPI/PI/Tests/pit0.cc
===================================================================
--- trunk/SophyaPI/PI/Tests/pit0.cc	(revision 2614)
+++ trunk/SophyaPI/PI/Tests/pit0.cc	(revision 2615)
@@ -6,4 +6,5 @@
 
 
+#include "sopnamsp.h"
 #include "pisysdep.h"
 
Index: trunk/SophyaPI/PI/Tests/pit1.cc
===================================================================
--- trunk/SophyaPI/PI/Tests/pit1.cc	(revision 2614)
+++ trunk/SophyaPI/PI/Tests/pit1.cc	(revision 2615)
@@ -5,4 +5,5 @@
 #include <iostream.h>
 
+#include "sopnamsp.h"
 #include "pisysdep.h"
 #include PIAPP_H
Index: trunk/SophyaPI/PI/Tests/pitcons.cc
===================================================================
--- trunk/SophyaPI/PI/Tests/pitcons.cc	(revision 2614)
+++ trunk/SophyaPI/PI/Tests/pitcons.cc	(revision 2615)
@@ -7,4 +7,5 @@
 #include <Xm/Xm.h>  // Pour *DBG*
 
+#include "sopnamsp.h"
 #include "pisysdep.h"
 
Index: trunk/SophyaPI/PI/Tests/pitgr.cc
===================================================================
--- trunk/SophyaPI/PI/Tests/pitgr.cc	(revision 2614)
+++ trunk/SophyaPI/PI/Tests/pitgr.cc	(revision 2615)
@@ -6,4 +6,5 @@
 #include <iostream.h>
 
+#include "sopnamsp.h"
 #include "pisysdep.h"
 
Index: trunk/SophyaPI/PI/Tests/pitst.cc
===================================================================
--- trunk/SophyaPI/PI/Tests/pitst.cc	(revision 2614)
+++ trunk/SophyaPI/PI/Tests/pitst.cc	(revision 2615)
@@ -7,4 +7,5 @@
 /*   C'est ecrit n'importe comment !     */
  
+#include "sopnamsp.h"
 #include "pisysdep.h"
 
Index: trunk/SophyaPI/PI/Tests/xp0.cc
===================================================================
--- trunk/SophyaPI/PI/Tests/xp0.cc	(revision 2614)
+++ trunk/SophyaPI/PI/Tests/xp0.cc	(revision 2615)
@@ -4,4 +4,5 @@
 
 
+#include "sopnamsp.h"
 #include "pisysdep.h"
 
Index: trunk/SophyaPI/PI/Tests/xp1.cc
===================================================================
--- trunk/SophyaPI/PI/Tests/xp1.cc	(revision 2614)
+++ trunk/SophyaPI/PI/Tests/xp1.cc	(revision 2615)
@@ -3,4 +3,5 @@
 #include <iostream.h>
 
+#include "sopnamsp.h"
 #include "pisysdep.h"
 
Index: trunk/SophyaPI/PI/Tests/xp2.cc
===================================================================
--- trunk/SophyaPI/PI/Tests/xp2.cc	(revision 2614)
+++ trunk/SophyaPI/PI/Tests/xp2.cc	(revision 2615)
@@ -5,4 +5,5 @@
 #include <iostream.h>
 
+#include "sopnamsp.h"
 #include "pisysdep.h"
 #include PIAPP_H
Index: trunk/SophyaPI/PI/Tests/xp3.cc
===================================================================
--- trunk/SophyaPI/PI/Tests/xp3.cc	(revision 2614)
+++ trunk/SophyaPI/PI/Tests/xp3.cc	(revision 2615)
@@ -6,4 +6,5 @@
 #include <iostream.h>
 
+#include "sopnamsp.h"
 #include "pisysdep.h"
 
Index: trunk/SophyaPI/PI/lut.cc
===================================================================
--- trunk/SophyaPI/PI/lut.cc	(revision 2614)
+++ trunk/SophyaPI/PI/lut.cc	(revision 2615)
@@ -4,4 +4,5 @@
 // LAL (Orsay) / IN2P3-CNRS  DAPNIA/SPP (Saclay) / CEA
 
+#include "sopnamsp.h"
 #include "machdefs.h"
 #include <stdlib.h>
Index: trunk/SophyaPI/PI/parradapter.cc
===================================================================
--- trunk/SophyaPI/PI/parradapter.cc	(revision 2614)
+++ trunk/SophyaPI/PI/parradapter.cc	(revision 2615)
@@ -7,4 +7,5 @@
 
 // #include "ctimer.h"   Pour mesure TCPU 
+#include "sopnamsp.h"
 #include "parradapter.h"
 
Index: trunk/SophyaPI/PI/pi3ddrw.cc
===================================================================
--- trunk/SophyaPI/PI/pi3ddrw.cc	(revision 2614)
+++ trunk/SophyaPI/PI/pi3ddrw.cc	(revision 2615)
@@ -7,4 +7,5 @@
 #include <math.h>
 
+#include "sopnamsp.h"
 #include "pi3ddrw.h"
 
Index: trunk/SophyaPI/PI/pi3dwdg.cc
===================================================================
--- trunk/SophyaPI/PI/pi3dwdg.cc	(revision 2614)
+++ trunk/SophyaPI/PI/pi3dwdg.cc	(revision 2615)
@@ -7,4 +7,5 @@
 #include <math.h>
 
+#include "sopnamsp.h"
 #include "pi3dwdg.h"
 #include "pidrwtools.h"
Index: trunk/SophyaPI/PI/piapplgen.cc
===================================================================
--- trunk/SophyaPI/PI/piapplgen.cc	(revision 2614)
+++ trunk/SophyaPI/PI/piapplgen.cc	(revision 2615)
@@ -52,4 +52,5 @@
 
 
+#include "sopnamsp.h"
 #include "piapplgen.h"
 
Index: trunk/SophyaPI/PI/piapplmac.cc
===================================================================
--- trunk/SophyaPI/PI/piapplmac.cc	(revision 2614)
+++ trunk/SophyaPI/PI/piapplmac.cc	(revision 2615)
@@ -1,3 +1,4 @@
 
+#include "sopnamsp.h"
 #include "piapplmac.h"
 #include "pippmenubar.h"
Index: trunk/SophyaPI/PI/piapplx.cc
===================================================================
--- trunk/SophyaPI/PI/piapplx.cc	(revision 2614)
+++ trunk/SophyaPI/PI/piapplx.cc	(revision 2615)
@@ -5,4 +5,5 @@
 #include <X11/StringDefs.h>
 #include <Xm/Xm.h>
+#include "sopnamsp.h"
 #include "piapplx.h"
 #include "picontainerx.h"
Index: trunk/SophyaPI/PI/piaxes.cc
===================================================================
--- trunk/SophyaPI/PI/piaxes.cc	(revision 2614)
+++ trunk/SophyaPI/PI/piaxes.cc	(revision 2615)
@@ -4,4 +4,5 @@
 // LAL (Orsay) / IN2P3-CNRS  DAPNIA/SPP (Saclay) / CEA
 
+#include "sopnamsp.h"
 #include "machdefs.h"
 #include <stdio.h>
Index: trunk/SophyaPI/PI/piaxestools.cc
===================================================================
--- trunk/SophyaPI/PI/piaxestools.cc	(revision 2614)
+++ trunk/SophyaPI/PI/piaxestools.cc	(revision 2615)
@@ -7,4 +7,5 @@
 #include <iostream>
 
+#include "sopnamsp.h"
 #include "piaxes.h"
 #include "piaxestools.h"
Index: trunk/SophyaPI/PI/pibargraph.cc
===================================================================
--- trunk/SophyaPI/PI/pibargraph.cc	(revision 2614)
+++ trunk/SophyaPI/PI/pibargraph.cc	(revision 2615)
@@ -3,4 +3,5 @@
 // (C) LAL (Orsay) / IN2P3-CNRS  DAPNIA/SPP (Saclay) / CEA
 
+#include "sopnamsp.h"
 #include "machdefs.h"
 #include <stdlib.h>
Index: trunk/SophyaPI/PI/pibwdggen.cc
===================================================================
--- trunk/SophyaPI/PI/pibwdggen.cc	(revision 2614)
+++ trunk/SophyaPI/PI/pibwdggen.cc	(revision 2615)
@@ -5,4 +5,5 @@
 #include <stdio.h>
 
+#include "sopnamsp.h"
 #include "pibwdggen.h"
 #include "pidrawer.h"
Index: trunk/SophyaPI/PI/pibwdgmac.cc
===================================================================
--- trunk/SophyaPI/PI/pibwdgmac.cc	(revision 2614)
+++ trunk/SophyaPI/PI/pibwdgmac.cc	(revision 2615)
@@ -2,4 +2,5 @@
 
 #include <LString.h>
+#include "sopnamsp.h"
 #include "pibwdgmac.h"
 #include "piupdattachment.h"
Index: trunk/SophyaPI/PI/pibwdgx.cc
===================================================================
--- trunk/SophyaPI/PI/pibwdgx.cc	(revision 2614)
+++ trunk/SophyaPI/PI/pibwdgx.cc	(revision 2615)
@@ -13,4 +13,5 @@
 #include <X11/CoreP.h>
 
+#include "sopnamsp.h"
 #include "pixtbaseP.h"
 #include "pixtbase.h"
Index: trunk/SophyaPI/PI/picmap.cc
===================================================================
--- trunk/SophyaPI/PI/picmap.cc	(revision 2614)
+++ trunk/SophyaPI/PI/picmap.cc	(revision 2615)
@@ -3,4 +3,5 @@
 // LAL (Orsay) / IN2P3-CNRS  DAPNIA/SPP (Saclay) / CEA
 
+#include "sopnamsp.h"
 #include "picmap.h"
 #include <iostream>
Index: trunk/SophyaPI/PI/picmapgen.cc
===================================================================
--- trunk/SophyaPI/PI/picmapgen.cc	(revision 2614)
+++ trunk/SophyaPI/PI/picmapgen.cc	(revision 2615)
@@ -1,2 +1,3 @@
+#include "sopnamsp.h"
 #include "picmapgen.h"
 #include <list>
Index: trunk/SophyaPI/PI/picmapmac.cc
===================================================================
--- trunk/SophyaPI/PI/picmapmac.cc	(revision 2614)
+++ trunk/SophyaPI/PI/picmapmac.cc	(revision 2615)
@@ -1,2 +1,3 @@
+#include "sopnamsp.h"
 #include "picmapmac.h"
 #include <UDebugging.h>
Index: trunk/SophyaPI/PI/picmapview.cc
===================================================================
--- trunk/SophyaPI/PI/picmapview.cc	(revision 2614)
+++ trunk/SophyaPI/PI/picmapview.cc	(revision 2615)
@@ -3,4 +3,5 @@
 // LAL (Orsay) / IN2P3-CNRS  DAPNIA/SPP (Saclay) / CEA
 
+#include "sopnamsp.h"
 #include "picmapview.h"
 #include <math.h>
Index: trunk/SophyaPI/PI/picmapx.cc
===================================================================
--- trunk/SophyaPI/PI/picmapx.cc	(revision 2614)
+++ trunk/SophyaPI/PI/picmapx.cc	(revision 2615)
@@ -5,4 +5,5 @@
 #include <X11/Xatom.h>
 
+#include "sopnamsp.h"
 #include "piwdgx.h"
 #include "picmapx.h"
Index: trunk/SophyaPI/PI/picons.cc
===================================================================
--- trunk/SophyaPI/PI/picons.cc	(revision 2614)
+++ trunk/SophyaPI/PI/picons.cc	(revision 2615)
@@ -1,2 +1,3 @@
+#include "sopnamsp.h"
 #include "pisysdep.h"
 #include <stdlib.h>
Index: trunk/SophyaPI/PI/picontainergen.cc
===================================================================
--- trunk/SophyaPI/PI/picontainergen.cc	(revision 2614)
+++ trunk/SophyaPI/PI/picontainergen.cc	(revision 2615)
@@ -7,4 +7,5 @@
 #include <stdio.h>
 
+#include "sopnamsp.h"
 #include "picontainergen.h"
 
Index: trunk/SophyaPI/PI/picontainermac.cc
===================================================================
--- trunk/SophyaPI/PI/picontainermac.cc	(revision 2614)
+++ trunk/SophyaPI/PI/picontainermac.cc	(revision 2615)
@@ -1,2 +1,3 @@
+#include "sopnamsp.h"
 #include "picontainermac.h"
 
Index: trunk/SophyaPI/PI/picontainerx.cc
===================================================================
--- trunk/SophyaPI/PI/picontainerx.cc	(revision 2614)
+++ trunk/SophyaPI/PI/picontainerx.cc	(revision 2615)
@@ -1,2 +1,3 @@
+#include "sopnamsp.h"
 #include "picontainerx.h"
 
Index: trunk/SophyaPI/PI/pidrawer.cc
===================================================================
--- trunk/SophyaPI/PI/pidrawer.cc	(revision 2614)
+++ trunk/SophyaPI/PI/pidrawer.cc	(revision 2615)
@@ -4,4 +4,5 @@
 // LAL (Orsay) / IN2P3-CNRS  DAPNIA/SPP (Saclay) / CEA
 
+#include "sopnamsp.h"
 #include "machdefs.h"
 #include <strings.h>
Index: trunk/SophyaPI/PI/pidrawwin.cc
===================================================================
--- trunk/SophyaPI/PI/pidrawwin.cc	(revision 2614)
+++ trunk/SophyaPI/PI/pidrawwin.cc	(revision 2615)
@@ -1,2 +1,3 @@
+#include "sopnamsp.h"
 #include "pidrawwin.h"
 
Index: trunk/SophyaPI/PI/pidrwtools.cc
===================================================================
--- trunk/SophyaPI/PI/pidrwtools.cc	(revision 2614)
+++ trunk/SophyaPI/PI/pidrwtools.cc	(revision 2615)
@@ -5,4 +5,5 @@
 #include <stdlib.h>
 
+#include "sopnamsp.h"
 #include "pidrwtools.h"
 #include <iostream>
Index: trunk/SophyaPI/PI/pieldrw.cc
===================================================================
--- trunk/SophyaPI/PI/pieldrw.cc	(revision 2614)
+++ trunk/SophyaPI/PI/pieldrw.cc	(revision 2615)
@@ -3,4 +3,5 @@
 // (C) LAL (Orsay) / IN2P3-CNRS  DAPNIA/SPP (Saclay) / CEA
 
+#include "sopnamsp.h"
 #include "machdefs.h"
 #include <strings.h>
Index: trunk/SophyaPI/PI/pierrdisp.cc
===================================================================
--- trunk/SophyaPI/PI/pierrdisp.cc	(revision 2614)
+++ trunk/SophyaPI/PI/pierrdisp.cc	(revision 2615)
@@ -1,2 +1,3 @@
+#include "sopnamsp.h"
 #include "pierrdisp.h"
 #include "utils.h"
Index: trunk/SophyaPI/PI/pievthandler.cc
===================================================================
--- trunk/SophyaPI/PI/pievthandler.cc	(revision 2614)
+++ trunk/SophyaPI/PI/pievthandler.cc	(revision 2615)
@@ -4,4 +4,5 @@
 // LAL (Orsay) / IN2P3-CNRS  DAPNIA/SPP (Saclay) / CEA
 
+#include "sopnamsp.h"
 #include "pievthandler.h"
 
Index: trunk/SophyaPI/PI/pifilechogen.cc
===================================================================
--- trunk/SophyaPI/PI/pifilechogen.cc	(revision 2614)
+++ trunk/SophyaPI/PI/pifilechogen.cc	(revision 2615)
@@ -3,4 +3,5 @@
 // LAL (Orsay) / IN2P3-CNRS  DAPNIA/SPP (Saclay) / CEA
 
+#include "sopnamsp.h"
 #include "pifilechogen.h"
 
Index: trunk/SophyaPI/PI/pifilechomac.cc
===================================================================
--- trunk/SophyaPI/PI/pifilechomac.cc	(revision 2614)
+++ trunk/SophyaPI/PI/pifilechomac.cc	(revision 2615)
@@ -1,2 +1,3 @@
+#include "sopnamsp.h"
 #include "pifilechomac.h"
 
Index: trunk/SophyaPI/PI/pifilechox.cc
===================================================================
--- trunk/SophyaPI/PI/pifilechox.cc	(revision 2614)
+++ trunk/SophyaPI/PI/pifilechox.cc	(revision 2615)
@@ -2,4 +2,5 @@
 #include<string.h>
 
+#include "sopnamsp.h"
 #include "pisysdep.h"
 
Index: trunk/SophyaPI/PI/pifontgen.cc
===================================================================
--- trunk/SophyaPI/PI/pifontgen.cc	(revision 2614)
+++ trunk/SophyaPI/PI/pifontgen.cc	(revision 2615)
@@ -4,4 +4,5 @@
 // Classe generique de gestion de fonte - (Ne peut etre instancie)
 
+#include "sopnamsp.h"
 #include "pigraphgen.h"
 
Index: trunk/SophyaPI/PI/pifontmac.cc
===================================================================
--- trunk/SophyaPI/PI/pifontmac.cc	(revision 2614)
+++ trunk/SophyaPI/PI/pifontmac.cc	(revision 2615)
@@ -5,4 +5,5 @@
 #include <stdio.h>
 
+#include "sopnamsp.h"
 #include "pisysdep.h"
 #include "pifontmac.h"
Index: trunk/SophyaPI/PI/pifontx.cc
===================================================================
--- trunk/SophyaPI/PI/pifontx.cc	(revision 2614)
+++ trunk/SophyaPI/PI/pifontx.cc	(revision 2615)
@@ -8,4 +8,5 @@
 #include <X11/StringDefs.h>
 
+#include "sopnamsp.h"
 #include "pisysdep.h"
 #include "pifontx.h"
Index: trunk/SophyaPI/PI/pigraph3d.cc
===================================================================
--- trunk/SophyaPI/PI/pigraph3d.cc	(revision 2614)
+++ trunk/SophyaPI/PI/pigraph3d.cc	(revision 2615)
@@ -5,4 +5,5 @@
 #include <stdio.h>
 #include <math.h>
+#include "sopnamsp.h"
 #include "pigraph3d.h"
 
Index: trunk/SophyaPI/PI/pigraphgen.cc
===================================================================
--- trunk/SophyaPI/PI/pigraphgen.cc	(revision 2614)
+++ trunk/SophyaPI/PI/pigraphgen.cc	(revision 2615)
@@ -5,4 +5,5 @@
 // Classe generique de trace graphique de base (Ne peut etre instancie)
 
+#include "sopnamsp.h"
 #include "pigraphgen.h"
 #include <math.h>
Index: trunk/SophyaPI/PI/pigraphmac.cc
===================================================================
--- trunk/SophyaPI/PI/pigraphmac.cc	(revision 2614)
+++ trunk/SophyaPI/PI/pigraphmac.cc	(revision 2615)
@@ -1,4 +1,5 @@
 #include <stdio.h>
 
+#include "sopnamsp.h"
 #include "pigraphmac.h"
 #include "UDrawingState.h"
Index: trunk/SophyaPI/PI/pigraphps.cc
===================================================================
--- trunk/SophyaPI/PI/pigraphps.cc	(revision 2614)
+++ trunk/SophyaPI/PI/pigraphps.cc	(revision 2615)
@@ -5,4 +5,5 @@
 #include <stdio.h>
 
+#include "sopnamsp.h"
 #include "pigraphps.h"
 
Index: trunk/SophyaPI/PI/pigraphuc.cc
===================================================================
--- trunk/SophyaPI/PI/pigraphuc.cc	(revision 2614)
+++ trunk/SophyaPI/PI/pigraphuc.cc	(revision 2615)
@@ -3,4 +3,5 @@
 // LAL (Orsay) / IN2P3-CNRS  DAPNIA/SPP (Saclay) / CEA
 
+#include "sopnamsp.h"
 #include "machdefs.h"
 #include <iostream>
Index: trunk/SophyaPI/PI/pigraphx.cc
===================================================================
--- trunk/SophyaPI/PI/pigraphx.cc	(revision 2614)
+++ trunk/SophyaPI/PI/pigraphx.cc	(revision 2615)
@@ -10,4 +10,5 @@
 #include <X11/Xutil.h>
 
+#include "sopnamsp.h"
 #include "pigraphx.h"
 
